forked from pool/aaa_base
0129322297
- Add aaa_base-bnc756012.patch: unset ftp_proxy is not the same as ftp_proxy="", which can drip libproxy over. (bnc#756012) OBS-URL: https://build.opensuse.org/request/show/126790 OBS-URL: https://build.opensuse.org/package/show/Base:System/aaa_base?expand=0&rev=374
71 lines
2.0 KiB
Diff
71 lines
2.0 KiB
Diff
Index: files/etc/profile.d/profile.csh
|
|
===================================================================
|
|
--- files/etc/profile.d/profile.csh.orig
|
|
+++ files/etc/profile.d/profile.csh
|
|
@@ -50,23 +50,23 @@ foreach line ( "`/bin/grep -vh '^#' $sys
|
|
set proxy_enabled=${val:q}
|
|
breaksw
|
|
case HTTP_PROXY=*:
|
|
- if (! ${%val} ) continue
|
|
+ if (! ${%proxy_enabled} == yes ) continue
|
|
setenv http_proxy ${val:q}
|
|
breaksw
|
|
case HTTPS_PROXY=*:
|
|
- if (! ${%val} ) continue
|
|
+ if (! ${%proxy_enabled} == yes ) continue
|
|
setenv https_proxy ${val:q}
|
|
breaksw
|
|
case FTP_PROXY=*:
|
|
- if (! ${%val} ) continue
|
|
+ if (! ${%proxy_enabled} == yes ) continue
|
|
setenv ftp_proxy ${val:q}
|
|
breaksw
|
|
case GOPHER_PROXY=*:
|
|
- if (! ${%val} ) continue
|
|
+ if (! ${%proxy_enabled} == yes ) continue
|
|
setenv gopher_proxy ${val:q}
|
|
breaksw
|
|
case NO_PROXY=*:
|
|
- if (! ${%val} ) continue
|
|
+ if (! ${%proxy_enabled} == yes ) continue
|
|
setenv no_proxy ${val:q}
|
|
breaksw
|
|
case DEFAULT_WM=*:
|
|
Index: files/etc/profile.d/profile.sh
|
|
===================================================================
|
|
--- files/etc/profile.d/profile.sh.orig
|
|
+++ files/etc/profile.d/profile.sh
|
|
@@ -45,27 +45,27 @@ do
|
|
PROXY_ENABLED="${val}"
|
|
;;
|
|
HTTP_PROXY=*)
|
|
- test -n "$val" || continue
|
|
+ test "$PROXY_ENABLED" = "yes" || continue
|
|
http_proxy="${val}"
|
|
export http_proxy
|
|
;;
|
|
HTTPS_PROXY=*)
|
|
- test -n "$val" || continue
|
|
+ test "$PROXY_ENABLED" = "yes" || continue
|
|
https_proxy="${val}"
|
|
export https_proxy
|
|
;;
|
|
FTP_PROXY=*)
|
|
- test -n "$val" || continue
|
|
+ test "$PROXY_ENABLED" = "yes" || continue
|
|
ftp_proxy="${val}"
|
|
export ftp_proxy
|
|
;;
|
|
GOPHER_PROXY=*)
|
|
- test -n "$val" || continue
|
|
+ test "$PROXY_ENABLED" = "yes" || continue
|
|
gopher_proxy="${val}"
|
|
export gopher_proxy
|
|
;;
|
|
NO_PROXY=*)
|
|
- test -n "$val" || continue
|
|
+ test "$PROXY_ENABLED" = "yes" || continue
|
|
no_proxy="${val}"
|
|
export no_proxy
|
|
NO_PROXY="${val}"
|